From 48033e8a97ff0d8f6276578c0ffd86209a2e129b Mon Sep 17 00:00:00 2001
From: John Naylor <john.naylor@postgresql.org>
Date: Sun, 22 Jan 2023 12:11:11 +0700
Subject: [PATCH v22 16/22] s/VAR_NODE_HAS_FREE_SLOT/RT_NODE_MUST_GROW/

---
 src/include/lib/radixtree.h             | 6 +++---
 src/include/lib/radixtree_insert_impl.h | 8 ++++----
 2 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/src/include/lib/radixtree.h b/src/include/lib/radixtree.h
index 8fbc0b5086..cd8b8d1c22 100644
--- a/src/include/lib/radixtree.h
+++ b/src/include/lib/radixtree.h
@@ -372,8 +372,8 @@ typedef struct RT_NODE
 #endif
 
 #define NODE_IS_LEAF(n)			(((RT_PTR_LOCAL) (n))->shift == 0)
-#define VAR_NODE_HAS_FREE_SLOT(node) \
-	((node)->base.n.count < (node)->base.n.fanout)
+#define RT_NODE_MUST_GROW(node) \
+	((node)->base.n.count == (node)->base.n.fanout)
 
 /* Base type of each node kinds for leaf and inner nodes */
 /* The base types must be a be able to accommodate the largest size
@@ -2259,7 +2259,7 @@ RT_DUMP(RT_RADIX_TREE *tree)
 
 /* locally declared macros */
 #undef NODE_IS_LEAF
-#undef VAR_NODE_HAS_FREE_SLOT
+#undef RT_NODE_MUST_GROW
 #undef RT_NODE_KIND_COUNT
 #undef RT_SIZE_CLASS_COUNT
 #undef RT_RADIX_TREE_MAGIC
diff --git a/src/include/lib/radixtree_insert_impl.h b/src/include/lib/radixtree_insert_impl.h
index b484b7a099..a0f46b37d3 100644
--- a/src/include/lib/radixtree_insert_impl.h
+++ b/src/include/lib/radixtree_insert_impl.h
@@ -43,7 +43,7 @@
 					break;
 				}
 
-				if (unlikely(!VAR_NODE_HAS_FREE_SLOT(n3)))
+				if (unlikely(RT_NODE_MUST_GROW(n3)))
 				{
 					RT_PTR_ALLOC allocnode;
 					RT_PTR_LOCAL newnode;
@@ -114,7 +114,7 @@
 					break;
 				}
 
-				if (unlikely(!VAR_NODE_HAS_FREE_SLOT(n32)) &&
+				if (unlikely(RT_NODE_MUST_GROW(n32)) &&
 					n32->base.n.fanout == class32_min.fanout)
 				{
 					RT_PTR_ALLOC allocnode;
@@ -137,7 +137,7 @@
 					node = newnode;
 				}
 
-				if (unlikely(!VAR_NODE_HAS_FREE_SLOT(n32)))
+				if (unlikely(RT_NODE_MUST_GROW(n32)))
 				{
 					RT_PTR_ALLOC allocnode;
 					RT_PTR_LOCAL newnode;
@@ -218,7 +218,7 @@
 					break;
 				}
 
-				if (unlikely(!VAR_NODE_HAS_FREE_SLOT(n125)))
+				if (unlikely(RT_NODE_MUST_GROW(n125)))
 				{
 					RT_PTR_ALLOC allocnode;
 					RT_PTR_LOCAL newnode;
-- 
2.39.0

